const axios = require('axios');

class ApiClient {
    constructor(baseURL) {
        // Forçando a URL real da sua API, ignorando o localhost
        this.urlDestino = 'https://duck-api.stackpanel.com.br/duck-api/produto/salvar';
    }

    async enviarProduto(produto) {
        // Montando o body EXATAMENTE no formato que a sua API exige
        const payload = {
            nomeProduto: produto.nomeProduto,
            descricaoProduto: `Desconto de ${produto.porcentagemPromo}%. Link da oferta: ${produto.linkProduto}`,
            precoProdutoAtualizado: produto.precoPromocao,
            nomePlataforma: "Mercado Livre"
        };

        try {
            await axios.post(this.urlDestino, payload);
            console.log(`✅ Enviado com sucesso: ${produto.nomeProduto}`);
        } catch (erro) {
            console.log(`❌ Erro ao enviar ${produto.nomeProduto} | Motivo: ${erro.message}`);
        }
    }
}

module.exports = ApiClient;